require 'minitest/autorun'
require 'fileutils'

describe "Calling Roopap via shell command" do
  let(:output_dir) { 'tmp/out' }

  before do
    FileUtils.mkdir_p(output_dir)
  end

  after  do
    FileUtils.rm_r(output_dir)
  end

  it "copies all images under FROM directory to month directories under TARGET directory
        according to the image created date" do
    from = 'spec/fixtures/1'
    target = output_dir

    `bin/roopap #{from} #{target}`

    assert FileTest.exists?("#{target}/2006-01/e489272393.jpg"), "No file in the target directory"
    assert FileTest.exists?("#{target}/2011-04/bb455c47e4.jpg"), "No file in the target directory"
  end

  it "displays number of copied files" do
    from = 'spec/fixtures/1'
    target = output_dir

    text = `bin/roopap #{from} #{target}`

    assert_match(/2 files/, text, "Not print number of organized files")
  end
end
